* {
	--local-input-spacing: 0.3em 0.5em;
	--local-button-spacing: 0.7em 2em;
}

label {
	display: inline-block;
	margin: var(--normal-spacing);
	margin-left: 0;
}
input {
	display: inline-block;
	width: 25%;
	padding: var(--local-input-spacing);
}
input[type='text'] {
	width: 70%;
	margin: var(--normal-spacing);
}
input[type='number'] {
	width: 4em;
}
input[type='radio'] {
	width: 1em;
}
input[type='checkbox'] {
	width: 1em;
}
input[type='file'] {
	padding-top: 4em;
	padding-left:30%;
	width: 100%;
	height:10em;
}
input[type='file']:before {
	content: "📂　";
	font-size: 150%;
}
textarea {
	width: 80%;
	height: 20em;
	vertical-align: top;
	margin: var(--normal-spacing);
	padding: var(--local-input-spacing);
}
input:read-only, textarea:read-only {
	border-color: var(--disabled-text-color);
	border-style: solid;
	background-color: var(--disabled-bg-color);
}
button {
	display: inline-block;
	margin: var(--normal-spacing);
	padding:var(--local-button-spacing);
}

div.radioInput {
	border: 1px solid black;
	padding: 1em;
	height: calc(4 * var(--para-height) + 1em * 2);
	overflow-y: scroll;
}
div.radioInput label {
	line-height: var(--para-height);
	margin: 0;
}
